# Interface ISystemUpdate<E>

监听系统执行update处理实体时，在ComblockSystem上实现这个接口

#### Type Parameters

- #### E extends ecs . Entity = ecs . Entity

#### Hierarchy

- ISystemUpdate

- Defined in assets/libs/ecs/ECS.ts:79

#####
Index

### Methods

update

## Methods

### update

- update(entity: E): void

- #### Parameters

  - ##### entity: E

  #### Returns void

  - Defined in assets/libs/ecs/ECS.ts:80

Generated using TypeDoc